/* 
 * File:   main.cpp
 * Author: Francesco
 *
 * Created on 23 dicembre 2011, 21.45
 */

#include <iostream>
#include "struttura.h"
#include "funzioni.h"

#define NUM_MAX 50
using namespace std;

/*
 * 
 */
int main(int argc, char** argv) {
    Corso elenco[NUM_MAX];
    int num, k;
    Corso elem;
    
    // Lettura elenco iniziale ...
    cout << "Numero iniziale corsi: ";
    cin >> num;
    
    leggi_lista_corsi(elenco,num);
    
    // ... suo ordinamento
    ordina_lista_corsi(elenco,num);
    
    // Lettura del numero di nuovi corsi
    // Si verifica che i nuovi inserimenti
    // non eccedano la cardinalità dell'array
    do{
        cout << "\nNumero nuovi corsi: ";
        cin >> k;
    } while(num+k > NUM_MAX);
    
    
    // Inserimento nell'elenco iniziale
    for(int i=0; i<k; i++){
        // Lettura di un nuovo corso
        cout << "\nInserire i dati del nuovo corso n. " << i+1 << endl;
        elem = leggi_corso();
        
        // Inserimento nell'elenco iniziale
        inserisci(elenco,num,elem);
        
        // Aggiornamento del riempimento
        num++;
    }
    
    // Stampa finale
    cout << "\n\nElenco dopo gli inserimenti:\n";
    stampa_lista_corsi(elenco,num);
            

    return 0;
}

